<?php
session_start();
$ges_id = $_SESSION['ges_id'];
$ges_nom = $_SESSION['ges_nom'];
$ges_consu = $_SESSION['ges_consu'];

if($ges_id == '' || $ges_nom == ''):
    ?>
    <script type="text/javascript">
        alert('Usuario inválido');
        cerrar();
    </script>
    <?
endif;

header('Content-type: text/html; charset = utf-8');

require("../funciones/funciones.php");
require("../funciones/post_get.php");
require("../class/bases.php");

date_default_timezone_set("America/Bogota");
$hora_hoy = date("H:i:s");
$sis_dia = date('d');
$sis_mes = date('m');
$sis_ano = date('Y');
//Mensaje = mysql_error();
$fecha_hoy = $sis_ano."-".$sis_mes."-".$sis_dia;

$array_datos_cta = array_empresa_cta($id_cta, $bdDepen);
$nombre=$array_datos_cta['nombre'];
$nombre_plano = $array_datos_cta['nombre_plano'];
$id_fk_cliente_fact=$array_datos_cta['id_fk_cliente_fact'];

$array_datos_cta_parametro = array_empresa_cta($datoParametro, $bdDepen);
$nombre_parametro = $array_datos_cta_parametro['nombre'];
$nombre_plano_parametro = $array_datos_cta_parametro['nombre_plano'];
$id_fk_cliente_fact_parametro = $array_datos_cta_parametro['id_fk_cliente_fact'];

//Copiar usuarios de id_cta	

$sqlUSU = "INSERT INTO usuario (id_cta_fk_us, cc, tipo_usuario, codigo, tipo_doc, nom1, nom2, apell1, apell2, subtipo, dia_nac, mes_nac, ano_nac, dia_ex, mes_ex, ano_ex, dir, tel, tel2, cel, email, email2, dia_contrato, mes_contrato, ano_contrato, dia, mes, ano, sexo, eps, por_eps, vr_arp, retiro_parcial, retiro_total, pensiones, empresa, salario, pago_ases, fondo_pen, por_afp, vr_no_afp, ser_exe, seg_vida, cuenta, caja, fondo_caja, por_caja, nom_ase, liquidacion, cargo, emi, upc, admon_persona, observacion, cobra_afil, afiReact, afiReactValor, act, valor_ase, zona, tipo_cotizante, disp_movil, liquidacion_sig) SELECT '$id_cta', cc, tipo_usuario, codigo, tipo_doc, nom1, nom2, apell1, apell2, subtipo, dia_nac, mes_nac, ano_nac, dia_ex, mes_ex, ano_ex, dir, tel, tel2, cel, email, email2, dia_contrato, mes_contrato, ano_contrato, dia, mes, ano, sexo, eps, por_eps, vr_arp, '0', '1', pensiones, empresa, salario, pago_ases, fondo_pen, por_afp, vr_no_afp, ser_exe, seg_vida, cuenta, caja, fondo_caja, por_caja, nom_ase, '0', cargo, emi, upc, admon_persona, observacion, cobra_afil, afiReact, afiReactValor, act, valor_ase, zona, tipo_cotizante, disp_movil, '0' FROM usuario WHERE id_cta_fk_us = $datoParametro";
$inserUSU = $bdDepen->consulta($sqlUSU);

$sqlASE = "INSERT INTO asesor (id_asesor, id_cta_fk_as, cc, nom1, nom2, apell1, apell2, codigo, email, dir, tel, nota, act, entidad) SELECT id_asesor, '$id_cta', cc, nom1, nom2, apell1, apell2, codigo, email, dir, tel, nota, act, entidad FROM asesor WHERE id_cta_fk_as = $datoParametro";
$inserASE = $bdDepen->consulta($sqlASE);

$sqlEMP = "INSERT INTO empresa (id, id_cta_fk_em, nit, digito, nom, dir, tel, email_em, tel2, contacto, admon, fondo_ahorro, obser, act) SELECT id, '$id_cta', nit, digito, nom, dir, tel, email_em, tel2, contacto, admon, fondo_ahorro, obser, act FROM empresa WHERE id_cta_fk_em = $datoParametro";
$inserEMP = $bdDepen->consulta($sqlEMP);

$sqlBAN = "INSERT INTO bancos (banco, act, id_cta_fk_ba) SELECT banco, act, '$id_cta' FROM bancos WHERE id_cta_fk_ba = $datoParametro";
$inserBAN = $bdDepen->consulta($sqlBAN);

?>

<form name="copiarPIN4" id="copiarPIN4">
    <input type="hidden" id="id_cta" name="id_cta" value="<?=$id_cta?>">
</form>

<script type="text/javascript">
    alert('Se copió la información de la empresa <?=$nombre_plano_parametro?> a la empresa <?=$nombre_plano?>');
    ocultar('#','modal');
    guardar('dep_consul_empresa_pin1.php','copiarPIN4','divDer2','cargando');
</script>